jmarkov

## Class KanbanTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - jmarkov.KanbanTest

- All Implemented Interfaces:
    junit.framework.Test

      public class KanbanTest
      extends junit.framework.TestCase

  Author:
    German Riano. Universidad de los Andes. (C) 2006

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KanbanTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testGenerate()`
    `void` | `testGetMOPsAvg()` Test method for 'jmarkov.SimpleMarkovProcess.getMOPsAvg()'
    `void` | `testGetRates()` Test method for 'jmarkov.SimpleMarkovProcess.getEventRates()'

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KanbanTest

          public KanbanTest(java.lang.String name)

      Parameters:
        `name` -

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` -

    - #### testGenerate

          public final void testGenerate()

    - #### testGetMOPsAvg

          public final void testGetMOPsAvg()
                                    throws java.lang.Exception

      Test method for 'jmarkov.SimpleMarkovProcess.getMOPsAvg()'
      Throws:
        `java.lang.Exception`

    - #### testGetRates

          public final void testGetRates()
                                  throws NotUnichainException

      Test method for 'jmarkov.SimpleMarkovProcess.getEventRates()'
      Throws:
        `NotUnichainException`